# port to Ayatana AppIndicator
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^typelib\\(AppIndicator3

%global altname		nicotine
%global appdata_id	org.nicotine_plus.Nicotine

Name:		nicotine+
Version:	2.2.2
Release:	%mkrel 1
Summary:	A graphical client for Soulseek
Group:		Networking/File transfer
# - Notification sound files (in sounds/default/) are CC0
# - IP2Location Country Database (pynicotine/geoip/ipcountrydb.bin) is CC-BY-SA
# - some icons are GPLv3+ and MIT (see files/icons/CREDITS.md)
License:	GPLv3+ and CC-BY-SA and MIT
URL:		https://nicotine-plus.github.io/nicotine-plus/
Source0:	https://github.com/nicotine-plus/nicotine-plus/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	gettext
BuildRequires:	appstream-util
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(pytest)

Requires:	gdbm
Requires:	gtk+3
Requires:	python3dist(dbus-python)
Requires:	python3dist(miniupnpc)
Requires:	python3dist(pygobject)
Requires:	python3dist(pytaglib)

%description
Nicotine+ is a graphical client for the Soulseek peer-to-peer file sharing
network. It is an attempt to keep Nicotine working with the latest libraries,
kill bugs, keep current with the Soulseek protocol, and add some new features
that users want and/or need.

%prep
%autosetup -n nicotine-plus-%{version} -p1

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

# Remove installed documentation/license files. Useful ones are installed using
# %%doc/%%license
rm -rf %{buildroot}%{_defaultdocdir}/%{altname}/
rm -f %{buildroot}%{python3_sitelib}/pynicotine/*/README.md

%find_lang %{altname}

%check
# Tests requiring an Internet connection are disabled
%pytest --deselect=test/unit/test_version.py

appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{appdata_id}.metainfo.xml


%files -f %{altname}.lang
%doc AUTHORS.md NEWS.md README.md TRANSLATORS.md
%license COPYING files/icons/CREDITS.md pynicotine/geoip/README.md
%{_bindir}/%{altname}
%{python3_sitelib}/pynicotine/
%{python3_sitelib}/%{altname}_plus-%{version}-py%{python3_version}.egg-info
%{_datadir}/applications/%{appdata_id}.desktop
%{_iconsdir}/hicolor/*/apps/*.*
%{_metainfodir}/%{appdata_id}.metainfo.xml
%{_mandir}/man1/%{altname}.1.*


%changelog
* Sat Dec 19 2020 daviddavid <daviddavid> 2.2.2-1.mga8
+ Revision: 1661197
- new version: 2.2.2

* Tue Dec 15 2020 luigiwalser <luigiwalser> 2.2.0-1.mga8
+ Revision: 1657529
- 2.2.0

* Thu Oct 22 2020 daviddavid <daviddavid> 2.1.2-1.mga8
+ Revision: 1638619
- new version: 2.1.2
- upstream replaced Mutagen with pytaglib for audio file metadata
  scanning due to performance issues

* Wed Aug 05 2020 daviddavid <daviddavid> 2.0.1-1.mga8
+ Revision: 1611309
- initial package nicotine+ (mga#27044)

